#include<bits/stdc++.h>
using namespace std;
int main()
{
int N,M,K,br=0;
cin>>N>>M>>K;
int nachini[N];
int a[M],b[M];
int x[K],y[K];
for(int i=0;i<M;i++){
    cin>>a[i]>>b[i];
}
for(int i=0;i<K;i++){

    cin>>x[i]>>y[i];
}
if(K==1){
        cout<<(x[0]-y[0])*-1+1<<endl;
for(int i=x[0];i<=y[0];i++){
    cout<<i<<" ";
}






}
    return 0;
}
